%define version 0.4.2
%define release 2mdk

%define libname_orig lib%{name}
%define libname %mklibname %name 0

Name:           scim-chinese
Summary:        Chinese input module for Smart Chinese/Common Input Method platform
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	GPL
URL:		http://freedesktop.org/~suzhe/
Source0:	%{name}-%{version}.tar.bz2
Patch0:     scim-chinese-0.4.1-CJK-support.patch.bz2
Patch1:     scim-chinese-0.4.1-fix-l10n.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	scim >= 0.99.6
Requires:	%{libname} = %{version}-%{release}
BuildRequires:  scim-devel >= 0.99.8
BuildRequires:	libGConf2-devel automake1.8 libltdl-devel

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 


%package -n %{libname}
Summary:	Scim-chinese library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-chinese library.


%package -n %{libname}-devel
Summary:	Headers of scim-chinese for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q
%patch1 -p1

%build
#./bootstrap
aclocal-1.8 -I m4
autoheader
libtoolize -c --automake
automake-1.8 -a -c --include-deps
autoconf

%configure2_5x --disable-static --disable-schemas-install
%make
# fix catalog installation:
make -C po build

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
    gconftool-2 --makefile-install-rule /etc/gconf/schemas/scim-chinese.schemas > /dev/null || exit 0

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%config %{_sysconfdir}/gconf/schemas/*
%{_datadir}/scim/chinese/*
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.la
%{_libdir}/scim-1.0/SetupUI/*.la


%changelog
* Sat Aug 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.2-2mdk
- add BuildRequires: libGConf2-devel libltdl-devel
- call automake-1.8 directly

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- new release
- remove patch 0 (merged upstream)
- bump scim buildrequires

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2mdk
- patch 0 (CVS):
  o fix a few english messages
  o add japanese and korean translations
  o update chinese translations
- patch 1: fix installation of non build catalogs

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-1mdk
- new release
- fix {build,}requires

* Mon Jul 05 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-3.cvs20040705.1mdk
- cvs20040705

* Tue Jun 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-2.cvs20040629.1mdk
- cvs 20040629

* Sun Jun 20 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdk
- new release

* Mon Jun 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-3mdk
- fix libification

* Sat Jun 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-2mdk
- 20040612cvs

* Fri Jun 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-1mdk
- fix libification
- initial spec for mdk from UTUMI Hirosi <utuhiro78@yahoo.co.jp> 
